
QGIS Application - Bug report #1169

GRASS Edit: lone boundaries of areas are rendered in wrong color

2008-07-18 10:15 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11229

Description

(maybe the bug has the same nature as the '#1148: GRASS Edit: can't modify "Dynamic" color')

Details:

1. in GRASS Edit > Symbology make sure you have different colors for "Boundary (1 area)" and "Boundary (2 areas)" (see qgis1.png)

2. digitise areas like the one on qgis2.png, so that there are lone and common boundaries

3. the color of lone and common boundaries should be different, e.g. like they are in GRASS vdigit (grass.png), yet in QGIS they all have

the color of "Boundary (2 areas)"

History

#1 - 2009-07-09 02:39 PM - Giovanni Manghi

Tested with Qgis 1.2 from trunk under Ubuntu 9.04 and seems confirmed to me.

#2 - 2009-08-20 08:27 AM - Paolo Cavallini

Maybe GRASS vector editing should be changed more deeply, in line with new approach in GRASS itself (see 

http://grass.itc.it/grass64/manuals/html64_user/wxGUI.Vector_Digitizing_Tool.html and http://grass.itc.it/grass64/manuals/html64_user/v.edit.html)

#3 - 2010-01-06 03:25 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in changeset:12678 , added check for isle's area.
